<script setup lang="ts">
import { usePromotionStore } from '@/stores/promotion'
import { getImageUrl, type Promotion } from '@/types/Promotion'
const promotionStore = usePromotionStore()
const props = defineProps<{
  promotion: Promotion
}>()

const emit = defineEmits<{
  selectedPromotions: [Promotion]
}>()

const selected = function () {
  console.log('ProductList' + props.promotion)
  emit('selectedPromotions', props.promotion)
}
</script>

<template>
  <v-sheet width="150px" height="170px" elevation="3" @click="selected" class="rounded-sheet">
    <v-img :src="getImageUrl(promotion)" height="120"></v-img>
    <div style="text-align: center" class="mt-2">{{ promotion.name }}</div>
  </v-sheet>
</template>

<style scoped>
.rounded-sheet {
  border-radius: 10px;
}
</style>
